Page MenuHomeFreeBSD

Add PNP info to PCI attachment of arcmsr, bt, cbb, de, ebus, emujoy, fixup_pci, hifn, hptiop, imcsmb, snd_emu10k1 (emu_pci) drivers
ClosedPublic

Authored by lakhanshiva_gmail.com on Jun 24 2018, 12:07 PM.

Details

Reviewers
imp
chuck
Summary

Add PNP info to PCI attachment of hptiop driver

Add PNP info to PCI attachment of arcmsr driver

Add PNP info to PCI attachment of hifn driver

Add PNP INFO to PCI attachment of bt driver

Add PNP info to PCI attachment of emujoy, snd_emu10k1 (emu_pci) drivers

Add PNP info to PCI attachments of ebus driver

Add PNP info to PCI attachments of cbb driver

Add PNP info to PCI attachments of de driver

Add PNP info to PCI attachments of fixup_pci driver

Add PNP info to PCI attachment of imcsmb driver

Diff Detail

Lint
Lint Skipped
Unit
Unit Tests Skipped

Event Timeline

  • Update PNP info to PCI attachment of arcmsr driver
  • Update PNP info to PCI attachment of hptiop driver
  • Update PNP INFO to PCI attachment of bt driver
  • Update PNP info to PCI attachment of emujoy, snd_emu10k1 (emu_pci) drivers
  • Update PNP info to PCI attachments of cbb driver
  • Update PNP info to PCI attachments of fixup_pci driver
  • Update PNP info to PCI attachment of imcsmb driver
  • Update PNP info to PCI attachments of ebus driver
  • Update PNP INFO to PCI attachment of bt driver
  • Update PNP info to PCI attachment of arcmsr driver
  • Update PNP INFO to PCI attachment of bt driver
  • Update PNP info to PCI attachment of emujoy, snd_emu10k1 (emu_pci) drivers
imp added inline comments.Jun 28 2018, 4:42 AM
sys/dev/buslogic/bt_pci.c
121

This doesn't look right at all...

  • Update PNP info to PCI attachment of arcmsr driver
  • Update PNP info to PCI attachment of hifn driver
  • Update PNP INFO to PCI attachment of bt driver
  • Update PNP info to PCI attachments of ebus driver
chuck added inline comments.Jul 3 2018, 3:41 PM
sys/dev/buslogic/bt_pci.c
126

Since the bt_devs[] is null terminated, shouldn't the bounds check be nitems() instead of nitems() - 1?

sys/dev/hptiop/hptiop.c
1857

Should this get converted to using the new table of devices?

sys/sparc64/ebus/ebus.c
284

Should the check be for nitems()?

sys/dev/buslogic/bt_pci.c
126

So, in this case nitems(bt_devs) comes out to be 3, so the for loop is for(i=0; i<2; i++). This iterates through the two valid devices present in bt_devs. It doesn't check the sentinel. This is what i wanted to iterate on. Does it sound right ?

lakhanshiva_gmail.com edited the summary of this revision. (Show Details)Jul 5 2018, 7:51 AM
lakhanshiva_gmail.com edited the summary of this revision. (Show Details)
lakhanshiva_gmail.com updated this revision to Diff 44891.
lakhanshiva_gmail.com updated this revision to Diff 44892.
lakhanshiva_gmail.com marked an inline comment as done.Jul 5 2018, 6:38 PM
lakhanshiva_gmail.com added inline comments.
sys/dev/hptiop/hptiop.c
1857

Made the probe routine table driven. Same in other cases where it is necessary.

lakhanshiva_gmail.com marked 2 inline comments as done.Jul 5 2018, 6:39 PM
chuck accepted this revision.Dec 31 2018, 7:13 PM
This revision is now accepted and ready to land.Dec 31 2018, 7:13 PM
chuck closed this revision.Dec 31 2018, 7:14 PM